<template>
    <v-flex xs12 md6><v-text-field
          v-model="password"
          :append-icon="iconPassword"
          :type="showPassword ? 'text' : 'password'"
          :readonly="!unlockPassword"
          name="input-10-1"
          label="ustaw hasło"
          :hint="
            !unlockPassword
              ? 'najpierw odblokuj możliwość edycji'
              : 'hasło musi być wystarczająco złożone'
          "
          counter
          @click:append="show = !show"
        ></v-text-field>
        <v-progress-linear
          style="width: 200px"
          :color="metterColor"
          height="20" 
          width="200"
          :value="metterValue"
          striped
        ></v-progress-linear>
        <v-text-field
          v-model="repeatPassword"
          :append-icon="iconPassword"
          :readonly="!unlockPassword"
          :type="showPassword ? 'text' : 'password'"
          name="input-10-1"
          label="powtórz hasło"
          counter
          @click:append="show = !show"
        ></v-text-field>
</v-flex>
</template>
<script>
    export default {
        data() {
            return {
            password: '',
            repeatPassword: ''
        }
        }

        
        
    }
</script>